import request from '@/utils/request'

// 查询food列表
export function listFood(query) {
  return request({
    url: '/chanting/food/list',
    method: 'get',
    params: query
  })
}

// 查询food详细
export function getFood(id) {
  return request({
    url: '/chanting/food/' + id,
    method: 'get'
  })
}

// 新增food
export function addFood(data) {
  return request({
    url: '/chanting/food',
    method: 'post',
    data: data
  })
}

// 修改food
export function updateFood(data) {
  return request({
    url: '/chanting/food',
    method: 'put',
    data: data
  })
}

// 删除food
export function delFood(id) {
  return request({
    url: '/chanting/food/' + id,
    method: 'delete'
  })
}

// 删除food
// 修改用户信息
export function changerecommend(data) {
  return request({
    url: '/chanting/food/changerecommend',
    method: 'put',
    data: data
  })
}
